### Method

# Adw SplitButton set_direction

#### Declaration [src]

    void
    adw_split_button_set_direction (
      AdwSplitButton* self,
      GtkArrowType direction
    )

#### Description [src]

Sets the direction in which the popup will be popped up.

The dropdown arrow icon will point at the same direction.

If the does not fit in the available space in the given direction, GTK will try its best to keep it inside the screen and fully visible.

`GTK_ARROW_NONE` behaves same as `GTK_ARROW_DOWN`.

Sets property | `Adw.SplitButton:direction`

#### Parameters

`direction`

  Type: `GtkArrowType`

  The direction.